;/*******************************/;
;/* Demo Speaker For ET-EXP4    */;
;/* Files Name  : LAB5-EX4.ASM  */;
;/* CPU Control : MCS-51 Family */;
;/* Assembler   : SXA51.EXE     */;
;/*         (ON/OFF Relay)      */;
;/*******************************/;
;
;/* Port For Control Speaker
PORT_OUT    EQU     P1                  ; Step,Relay,Spk
RELAY       EQU     P1.4                ; Port.4 = Relay Control

            ORG     0000H               ; Start Monitor
MAIN:       MOV     SP,#128-32          ; Stack = 32 Byte Internal RAM
            MOV     PORT_OUT,#0         ; OFF Step & Speaker Bit
            ;
LOOP:       SETB    RELAY               ; ON Relay
            LCALL   DELAY
            CLR     RELAY               ; OFF Relay
            LCALL   DELAY
            SJMP    LOOP

;/****************/;
;/*  Delay Time  */;
;/****************/;
;
DELAY:      MOV     R2,#10
DL1:        MOV     R3,#0FFH
DL2:        MOV     R4,#0FFH
            DJNZ    R4,$
            DJNZ    R3,DL2
            DJNZ    R2,DL1
            RET

            END



